View Issue Details

IDProjectCategoryLast Update
0026042AI War 2Bug - OtherJan 10, 2022 11:02 am
ReporterPredex Assigned Tox4000Bughunter  
Severitymajor 
Status resolvedResolutionfixed 
Product VersionBeta 3.777 Last Refinements For The Year 
Fixed in VersionBeta 3.783 The Return Of Multiplayer! 
Summary0026042: LiteNetLib seems to be detected but cannot be used
DescriptionI wanted to try playing around with MP games. I launched the game without steam thus the only networking option was LiteNetLib . Even though it shows up as useable, when trying to join a game I get the error as seen in err.png.

Connecting even though the error appeared did not work.

I later launchhed via steam and it detected LiteNetLib + steam options as useable. LiteNetLib is selected by default. When launching it redetected to the S-tier steam option as if LineNetLib did not work. Connectiong via the steam option did at least let me get into lobby. Did not test further.

Log attatched, but I have not seen anything useful in there personally.
TagsNo tags attached.

Relationships

child of 0025884 resolvedx4000Bughunter Parent: Todo prior to beta exit 

Activities

Predex

Jan 1, 2022 5:21 pm

reporter  

Err.png (477,384 bytes)
sel.png (701,915 bytes)
ArcenDebugLog.txt (776,607 bytes)

x4000Bughunter

Jan 10, 2022 11:02 am

administrator   ~0063734

Thanks!

* Fixed a bug where LitNetLib could not be selected as a networking framework in the beta branch because it was silently failing to load it. That failure is no longer silent if it happens, and it also no longer fails.

Issue History

Date Modified Username Field Change
Jan 1, 2022 5:21 pm Predex New Issue
Jan 1, 2022 5:21 pm Predex File Added: Err.png
Jan 1, 2022 5:21 pm Predex File Added: sel.png
Jan 1, 2022 5:21 pm Predex File Added: ArcenDebugLog.txt
Jan 6, 2022 6:31 pm x4000Bughunter Relationship added child of 0025884
Jan 6, 2022 6:31 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 6, 2022 6:31 pm x4000Bughunter Status new => assigned
Jan 10, 2022 11:02 am x4000Bughunter Status assigned => resolved
Jan 10, 2022 11:02 am x4000Bughunter Resolution open => fixed
Jan 10, 2022 11:02 am x4000Bughunter Fixed in Version => Beta 3.783 The Return Of Multiplayer!
Jan 10, 2022 11:02 am x4000Bughunter Note Added: 0063734